// Importing handlers
const responseHander = require('../../../helpers/response-handler');

// Importing repository
const loginRepository = require('../repositories/login-repository');

/**
 * Login service for authentication module
 */
function LoginService() {
    // Properties if required
}

/**
 * Authenticate user
 * @param {*} req Request object
 * @param {*} res Response object
 */
LoginService.prototype.authenticate = function (req, res) {
    var _loginResponse = loginRepository.authenticate(req);
    if (_loginResponse) {
        responseHander.successHandler(res, {
            message: 'Logged in successfully'
        });
    } else {
        responseHander.errorHandler(res, {
            message: 'Invalid credentials'
        });
    }
}

module.exports = new LoginService();