// Importing handlers
const responseHander = require('../../../helpers/response-handler');

// Importing repository
const userRepository = require('../repositories/user-repository');

/**
 * User service for authentication module
 */
function UserService() {
    // Properties if required
}

/**
 * Fetching user details
 * @param {*} req Request object
 * @param {*} res Response object
 */
UserService.prototype.getUserDetails = function (req, res) {
    var _userResponse = userRepository.getUserDetails(req);
    if (_userResponse) {
        responseHander.successHandler(res, _userResponse);
    } else {
        responseHander.errorHandler(res, {
            message: 'User does not exist'
        });
    }
}

module.exports = new UserService();